ALTER VIEW dbo.vw_fco_tipo_cotiz
AS    
SELECT tg.compania, tg.trabajador, tipo_cotizante =     
    CASE WHEN ISNUMERIC(ISNULL(tco.dato, '1')) = 1 THEN 
        Case When CONVERT(tinyint, ISNULL(tco.dato, '1')) = 17 Then 1 
             Else CONVERT(tinyint, ISNULL(tco.dato, '1'))
        End ELSE '00' END    
FROM trabajadores_grales tg    
LEFT JOIN rel_trab_agr tco ON tg.compania = tco.compania AND tg.trabajador = tco.trabajador    
    AND tco.agrupacion = ISNULL((SELECT x.dato FROM vw_fdt_parametros x    
                          WHERE x.pais = 'COL' AND x.compania = tg.compania    
                            AND x.parametro = 'autoliq' AND x.secuencia = 41), 'TIPO_COTIZ')  
